<?php

namespace App\Menus;

use PhpSchool\CliMenu\Builder\CliMenuBuilder;

/**
 *
 *
 *
 */
class StylesFactory
{
    /**
     *  Adding default styles for menus
     *
     *
     *  @param CliMenuBuilder $builder [description]
     */
    public function setMenuStyles(CliMenuBuilder $builder)
    {
        $builder->setWidth($builder->getTerminal()->getWidth());
        $builder->setBorderLeftWidth(4);
        $builder->setBorderColour('magenta');
        $builder->setMargin(2);
        $builder->setPadding(2, 4);

        return $builder;
    }
}